# RadioLib: LR11x0WifiResultFull_t Struct Reference

LR11x0WifiResultFull_t Struct Reference

Structure to save result of passive WiFi scan. This result saves additional information alongside that in LR11x0WifiResult_t. More...

`#include <LR11x0.h>`

Inheritance diagram for LR11x0WifiResultFull_t:

## Public Attributes

uint8_t | frameType
| Frame type. See LR11x0 user manual for details.
uint8_t | frameSubType
| Frame sub type. See LR11x0 user manual for details.
bool | toDistributionSystem
| Frame sent from client station to distribution system.
bool | fromDistributionSystem
| Frame sent from distribution system to client station.
uint16_t | phiOffset
| See LR11x0 user manual for details.
uint64_t | timestamp
| Number of microseconds the AP has been active.
uint32_t | periodBeacon
| Beacon period in microseconds.
Public Attributes inherited from LR11x0WifiResult_t
char | type
| WiFi (802.11) signal type, 'b', 'n' or 'g'.
uint8_t | dataRateId
| Data rate ID holding information about modulation and coding rate. See LR11x0 user manual for details.
uint16_t | channelFreq
| Channel frequency in MHz.
uint8_t | origin
| MAC address origin: from gateway (1), phone (2) or undetermined (3)
bool | ap
| Whether this signal was sent by an access point (true) or end device (false)
float | rssi
| RSSI in dBm.
uint8_t | mac [RADIOLIB_LR11X0_WIFI_RESULT_MAC_LEN]
| MAC address.

## Detailed Description

Structure to save result of passive WiFi scan. This result saves additional information alongside that in LR11x0WifiResult_t.

The documentation for this struct was generated from the following file:

- src/modules/LR11x0/LR11x0.h